Bug 204245 - overheat shutdown: 2.6.17-1.2142-FC4, unable to get SMM BIOS version
overheat shutdown: 2.6.17-1.2142-FC4, unable to get SMM BIOS version
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-27 13:45 EDT by David Wood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:08:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (448.04 KB, text/plain)
2006-08-27 13:45 EDT, David Wood
no flags Details

  None (edit)
Description David Wood 2006-08-27 13:45:45 EDT
Description of problem:
Dell laptop Latitude D400, FC4: I upgraded the kernel with yum, from
2.6.15-1.1833_FC4 to 2.6.17-1.2142_FC4; overnight the laptop shut itself down
unexpectedly.  I found in /var/log/messages:

moby kernel: Critical temperature reached (100 C), shutting down.

and then, after some research, found earlier in the log:

moby kernel: i8k: unable to get SMM BIOS version
moby kernel: Dell laptop SMM driver v1.14 21/02/2005 Massimo Dal Zotto
(dz@debian.org)

I returned to the earlier kernel and all appears well.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2142_FC4
i8kutils-1.25-8.fc4


How reproducible:
The only think I know is to upgrade the kernel and reboot, then wait for the
overheat.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Wood 2006-08-27 13:45:46 EDT
Created attachment 135005 [details]
/var/log/messages
Comment 2 Matthias Saou 2006-08-28 04:30:52 EDT
This is either a kernel bug, if the laptop now really overheats for some reason,
or a i8k kernel module bug, if it is wrong about the laptop's temperature. Both
ways, I don't think this has anything to do with the userspace tools...

One thing that would be interesting to know is if your laptop really reaches
100°C when it gets shut down, i.e. if it's REALLY hot. Maybe you've got a
screensaver taking 100% CPU or maybe the latest i8k kernel module doesn't
control the fans properly...
Comment 3 David Wood 2006-08-28 22:27:09 EDT
Thanks.

I set up a heavy load (AC power, while : ; do sha1sum bigfile ; done) and
watched the temperature (cat /proc/acpi/thermal_zone/THM/temperature and running
i8kmon).  It topped out at 97C, fan went on as I thought it should, and
stabilized at 95C (94C according to i8kmon).  The laptop was quite hot; I
believe the log message about 100C.

/proc/acpi/fan/ has no entry, I think the BIOS is responsible for the fan in a
Latitude D400?  Is there an initialization that could leave the BIOS unsure
about the fan speed, and lead to overheating, perhaps something about
dual-booting back and forth between FC4 and WinXP?

I'll leave the machine on overnight in the new kernel and see what happens.  Is
there more I should look at?
Comment 4 David Lawrence 2006-09-05 11:27:02 EDT
Reassigning to correct owner, kernel-maint.
Comment 5 David Wood 2006-09-05 19:02:58 EDT
Update:  I have kept the laptop configured to use the new kernel since posting
the bug, and have not seen the failure, I have no idea at this point how to
reproduce the problem.

Lacking better information and experience, I will leave it to the kernel
maintainers whether to close this as non-reproducible, or whether to leave it
open for further work.

I'd be happy to look further at the problem, given some advice how to proceed.
Comment 6 Dave Jones 2006-09-16 21:58:39 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 7 Dave Jones 2006-10-16 14:03:37 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 David Wood 2006-10-30 11:08:46 EST
Thank you for your attention, I have tested FC5 and now FC6, as well as leaving
the FC4 kernel in place.  Under none of these conditions have I seen overheating
again, so I conclude that this bug should be closed.

As a point of information, though, I *did* recently see overheating when running
under WindowsXP/pro SP2 (in a looping MSWord macro), so I think there's probably
a hardware or BIOS bug involved.  (Dell Latitude D400 A03 bios, 3 years old)

Note You need to log in before you can comment on or make changes to this bug.